Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.framework
Class EPPIdnTableHandler

    java.lang.Object
      com.verisign.epp.framework.EPPIdnTableHandler

All Implemented Interfaces:
  EPPEventHandler

Direct Known Subclasses:
  IdnTableHandler

    public abstract class EPPIdnTableHandler

extends java.lang.Object
implements EPPEventHandler

The `EPPIdnTableHandler` class provides an interface for handling EPP IDN Table Commands in a Server implementation. EPPEvents are handled by the handleEvent() method here and routed to the appropriate abstract member function. Subclasses should override the abstract methods to define the desired behavior of a particular command when it is received. A subclassed instance of `EPPIdnTableHandler` should be registered with the `EPPDispatcher` so that EEPEvents related to the Registry Mapping will be handled there.

See Also:
  `EPPEventHandler`, `EPPEvent`

Constructor Summary
`EPPIdnTableHandler()` Whenever an EPPIdnTableHandler instance is created load the corresponding Map Factory into the Codec

Method Summary
`protected abstract EPPEventResponse` | `doIdnTableCheck(EPPEvent aEvent, java.lang.Object aData)` Invoked when an IDN Table Check command is received.
`protected abstract EPPEventResponse` | `doIdnTableInfo(EPPEvent aEvent, java.lang.Object aData)` Invoked when an IDN Table Info command is received.
`java.lang.String` | `getNamespace()` Gets the XML Namespace for the Mapping.
`EPPEventResponse` | `handleEvent(EPPEvent aEvent, java.lang.Object aData)` This method receives an `EPPEvent` and routes it to the appropriate abstract method.
`protected void` | `postHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all registry commands need to execute after they execute their command specific behavior.
`protected void` | `preHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all registry commands need to execute before they execute their command specific behavior.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EPPIdnTableHandler

    public EPPIdnTableHandler()

  Whenever an EPPIdnTableHandler instance is created load the corresponding Map Factory into the Codec

Method Detail

### getNamespace

    public java.lang.String getNamespace()

  Gets the XML Namespace for the Mapping.

  Specified by:
    `getNamespace` in interface `EPPEventHandler`
  Returns:
    `EPPIdnTableMapFactory.NS`

### handleEvent

    public EPPEventResponse handleEvent(EPPEvent aEvent,
                                        java.lang.Object aData)
                                 throws EPPEventException

  This method receives an `EPPEvent` and routes it to the appropriate abstract method.

  Specified by:
    `handleEvent` in interface `EPPEventHandler`
  Parameters:
    `aEvent` - An `EPPEvent` that contains the `EPPCommand`
    `aData` - Any data that a Server needs to send to this `EPPIdnTableHandler` instance
  Returns:
    DOCUMENT ME!
  Throws:
    `EPPEventException` - Thrown if an unrecognized `EPPEvent` is received

### doIdnTableCheck

    protected abstract EPPEventResponse doIdnTableCheck(EPPEvent aEvent,
                                                        java.lang.Object aData)

  Invoked when an IDN Table Check command is received. Subclasses should define the behavior when an IDN Table Check command is received.

  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPIdnTableHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doIdnTableInfo

    protected abstract EPPEventResponse doIdnTableInfo(EPPEvent aEvent,
                                                       java.lang.Object aData)

  Invoked when an IDN Table Info command is received. Subclasses should define the behavior when a IDN Table Info command is received.

  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPIdnTableHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### preHandleEvent

    protected void preHandleEvent(EPPEvent aEvent,
                                  java.lang.Object aData)
                           throws EPPHandleEventException

  Handles any common behavior that all registry commands need to execute before they execute their command specific behavior. The default implementation does nothing.

  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPIdnTableHandler`
  Throws:
    `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

### postHandleEvent

    protected void postHandleEvent(EPPEvent aEvent,
                                   java.lang.Object aData)
                            throws EPPHandleEventException

  Handles any common behavior that all registry commands need to execute after they execute their command specific behavior. The default implementation does nothing

  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPIdnTableHandler`
  Throws:
    `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.